Opened 13 years ago

Closed 13 years ago

Last modified 12 years ago

#15541 closed defect (invalid)

ATK fails to configure

Reported by: engel.martin@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 1.6.0
Keywords: atk configure Cc: engel.martin+macports@…, jmroot (Joshua Root), ryandesign (Ryan Schmidt)
Port:

Description

When trying to install atk it fails due to an error which might be caused by the configure script. The System is Mac OS X 10.5.3

checking for aclocal flags... 
checking for GLIB - version >= 2.5.7... no
*** A new enough version of pkg-config was not found.
*** See http://www.freedesktop.org/software/pkgconfig/
checking pkg-config is at least version 0.16... ./configure: line 20539: no: command not found
no
checking for GLIB - version >= 2.0.0... no
*** A new enough version of pkg-config was not found.
*** See http://www.freedesktop.org/software/pkgconfig/
configure: error:
*** GLIB 2.0.0 or better is required. The latest version of
*** GLIB is always available from ftp://ftp.gtk.org/. If GLIB is installed
*** but not in the same location as pkg-config add the location of the file
*** glib-2.0.pc to the environment variable PKG_CONFIG_PATH.

Error: Status 1 encountered during processing.

Attachments (1)

config.log (27.8 KB) - added by engel.martin@… 13 years ago.

Download all attachments as: .zip

Change History (12)

comment:1 Changed 13 years ago by jmroot (Joshua Root)

Cc: jmr@… added

Is the pkgconfig port installed? It should have been installed as a dependency.

comment:2 Changed 13 years ago by engel.martin@…

Yes the newest version of pkgconfig is installed.

comment:3 Changed 13 years ago by engel.martin@…

glib2 is also installed. Of course I would be more than happy to provide further details to solve this issue.

comment:4 Changed 13 years ago by jmroot (Joshua Root)

The config.log should tell us more; please attach it.

Changed 13 years ago by engel.martin@…

Attachment: config.log added

comment:5 Changed 13 years ago by engel.martin@…

contrary to the statement in config.log pkgconfig is installed.

port list installed | grep pkgconfig
pkgconfig                      @0.23           devel/pkgconfig

comment:6 Changed 13 years ago by jmroot (Joshua Root)

Just FYI, port list installed doesn't do what you want there, port installed does. But it doesn't really make any difference in this case.

A though occurs: what happens if you run port clean atk and then try installing it again?

comment:7 Changed 13 years ago by engel.martin@…

same error :( when cleaning and installing again.

(btw thanks for the port installed hint)

comment:8 Changed 13 years ago by ryandesign (Ryan Schmidt)

Cc: ryandesign@… added

Does your pkg-config work? Try:

/opt/local/bin/pkg-config --libs glib-2.0

It should say something like:

-L/opt/local/lib -lglib-2.0 -lintl -liconv  

Do you have anything in /usr/local or /sw? These can interfere with MacPorts and their presence while using MacPorts is not recommended.

comment:9 Changed 13 years ago by engel.martin@…

I am sorry, but I really needed atk - so I did a reinstallation of the whole Mac OS. Luckily the error did not reappear but of course this way I am not able to further check your advise.

Anyway thanks for your support.

comment:10 Changed 13 years ago by mf2k (Frank Schima)

Resolution: invalid
Status: newclosed

comment:11 Changed 12 years ago by (none)

Milestone: Port Bugs

Milestone Port Bugs deleted

Note: See TracTickets for help on using tickets.